Get derivation rules
curl --request GET \
--url https://api-dev.narrative.io/derivations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/derivations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/derivations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"id": 42,
"name": "raw_email_to_sha256",
"description": "Hashes the raw email address with SHA-256.",
"source_attribute_id": 123,
"target_attribute_id": 123,
"company_id": 123,
"collaborators": {
"use": {
"type": "none"
}
},
"mapping": {
"type": "object_mapping",
"property_mappings": [
{
"expression": "<string>",
"path": "<string>"
}
]
},
"lossy": true,
"imprecise": true,
"fidelity_note": "<string>",
"cost": 1,
"active": true,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": 123,
"warnings": [
{
"type": "cyclic_derivation",
"cycle": [
123
]
}
]
}
]
}Derivations
Get derivation rules
Return the derivation rules usable by your company — the ones it owns plus the ones shared with it through collaborators — optionally filtered by source or target attribute.
GET
/
derivations
Get derivation rules
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return rules reading from these attributes. Repeat the parameter to pass several ids.
Only return rules producing these attributes. Repeat the parameter to pass several ids.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I

